Package org.optaplanner.core.impl.constructionheuristic.decider.forager

## Class AbstractConstructionHeuristicForager<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter<Solution_>
    - - org.optaplanner.core.impl.constructionheuristic.decider.forager.AbstractConstructionHeuristicForager<Solution_>

- All Implemented Interfaces:
    `EventListener`, `ConstructionHeuristicForager<Solution_>`, `ConstructionHeuristicPhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`
  Direct Known Subclasses:
    `DefaultConstructionHeuristicForager`

      public abstract class AbstractConstructionHeuristicForager<Solution_>
      extends ConstructionHeuristicPhaseLifecycleListenerAdapter<Solution_>
      implements ConstructionHeuristicForager<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractConstructionHeuristicForager()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.constructionheuristic.decider.forager.ConstructionHeuristicForager

      `addMove, isQuitEarly, pickMove`

    - ### Methods inherited from interface org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### AbstractConstructionHeuristicForager

          public AbstractConstructionHeuristicForager()